#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Common namespace files for jaraco.* modules
Summary(pl.UTF-8):	Wspólna przestrzeń nazw dla modułów jaraco.*
Name:		python-jaraco
Version:	0
Release:	7
License:	MIT
Group:		Libraries/Python
# taken from jaraco.packaging 6.2
Source0:	jaraco.__init__.py
URL:		https://github.com/jaraco/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3-modules
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Common namespace files for jaraco.* modules.

%description -l pl.UTF-8
Wspólna przestrzeń nazw dla modułów jaraco.*.

%package -n python3-jaraco
Summary:	Common namespace files for jaraco.* modules
Summary(pl.UTF-8):	Wspólna przestrzeń nazw dla modułów jaraco.*
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-jaraco
Common namespace files for jaraco.* modules.

%description -n python3-jaraco -l pl.UTF-8
Wspólna przestrzeń nazw dla modułów jaraco.*.

%prep

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}/jaraco
cp -p %{SOURCE0} $RPM_BUILD_ROOT%{py_sitescriptdir}/jaraco/__init__.py

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean
%endif

%if %{with python3}
install -d $RPM_BUILD_ROOT%{py3_sitescriptdir}/jaraco
cp -p %{SOURCE0} $RPM_BUILD_ROOT%{py3_sitescriptdir}/jaraco/__init__.py

%py3_comp $RPM_BUILD_ROOT%{py3_sitescriptdir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitescriptdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/jaraco
%{py_sitescriptdir}/jaraco/__init__.py[co]
%endif

%if %{with python3}
%files -n python3-jaraco
%defattr(644,root,root,755)
%dir %{py3_sitescriptdir}/jaraco
%{py3_sitescriptdir}/jaraco/__init__.py
%{py3_sitescriptdir}/jaraco/__pycache__
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-jaraco.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 68760ed
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0f9c43c
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 909679d
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 99328f4
- release 4 (by relup.sh)

* Tue Nov 05 2019 Jan Rękorajski <baggins@pld-linux.org> 503286a
- release 3 (by relup.sh)

* Wed Oct 23 2019 Jakub Bogusz <qboosh@pld-linux.org> a7dcd69
- updated jaraco.__init__ from jaraco.packaging 6.2, no longer requires setuptools; release 2

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> ae21ab0
- initial, common package for python-jaraco.*

